Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.repository.sequencer
Class SequencerLibrary

    java.lang.Object
      org.modeshape.common.component.ComponentLibrary<Sequencer,SequencerConfig>
          org.modeshape.repository.sequencer.SequencerLibrary

    @ThreadSafe
    public class SequencerLibrary

extends ComponentLibrary<Sequencer,SequencerConfig>

A library of `Sequencer` components.

Field Summary

Fields inherited from class org.modeshape.common.component.ComponentLibrary
`DEFAULT`

Constructor Summary
`SequencerLibrary()`

Method Summary
`protected Sequencer` | `doCreateInstance(Class<?> componentClass)` Method that instantiates the supplied class.

Methods inherited from class org.modeshape.common.component.ComponentLibrary
`add, configure, findIndexOfMatchingConfiguration, findIndexOfMatchingConfiguration, getClassLoaderFactory, getInstance, getInstances, getSequenceConfigs, newInstance, refreshInstances, remove, removeAll, removeAllAndAdd, setClassLoaderFactory, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequencerLibrary

    public SequencerLibrary()

Method Detail

### doCreateInstance

    protected Sequencer doCreateInstance(Class<?> componentClass)
                                  throws InstantiationException,
                                         IllegalAccessException

  Method that instantiates the supplied class. This method can be overridden by subclasses that may need to wrap or adapt the instance to be a ComponentType.

  Overrides:
    `doCreateInstance` in class `ComponentLibrary<Sequencer,SequencerConfig>`
  Returns:
    the new ComponentType instance
  Throws:
    `InstantiationException`
    `IllegalAccessException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.